Package org.eclipse.cdt.core.templateengine.process

# Class TemplateProcessHandler

java.lang.Object
org.eclipse.cdt.core.templateengine.process.TemplateProcessHandler

public class TemplateProcessHandler extends Object
Class handles the Template processes

## Constructor Summary

Constructors
Constructor
Description
`TemplateProcessHandler(TemplateCore template)`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getAllMacros()`
`org.eclipse.core.runtime.IStatus[]`
`processAll(org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateProcessHandler

public TemplateProcessHandler(TemplateCore template)

## Method Details

### processAll

public org.eclipse.core.runtime.IStatus[] processAll(org.eclipse.core.runtime.IProgressMonitor monitor) throws ProcessFailureException

Parameters:
  `monitor` -
Returns:
  IStatus, as an array of status info
Throws:
  `ProcessFailureException`

### getAllMacros

public Set<String> getAllMacros()

Returns:
  the union of all macros used in this template's process groups